OpenShot Audio Library | OpenShotAudio: juce::ZipFile::Builder Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ZipFile::Builder Class Reference

`#include <juce_ZipFile.h>`

## Public Member Functions
| Builder ()
| ~Builder ()
void | addFile (const File &fileToAdd, int compressionLevel, const String &storedPathName=String())
void | addEntry (InputStream *streamToRead, int compressionLevel, const String &storedPathName, Time fileModificationTime)
bool | writeToStream (OutputStream &target, double *progress) const

## Detailed Description

Used to create a new zip file.

Create a ZipFile::Builder object, and call its addFile() method to add some files, then you can write it to a stream with write().

Definition at line 189 of file juce_ZipFile.h.

## Constructor & Destructor Documentation

## ◆ Builder()

juce::ZipFile::Builder::Builder | ( |  | ) |

Creates an empty builder object.

Definition at line 588 of file juce_ZipFile.cpp.

## ◆ ~Builder()

juce::ZipFile::Builder::~Builder | ( |  | ) |

Destructor.

Definition at line 589 of file juce_ZipFile.cpp.

## Member Function Documentation

## ◆ addEntry()

void juce::ZipFile::Builder::addEntry | ( | InputStream * | streamToRead,
|  | int | compressionLevel,
|  | const String & | storedPathName,
|  | Time | fileModificationTime
| ) |  |

Adds a stream to the list of items which will be added to the archive.

Parameters

  streamToRead | this stream isn't read immediately - a pointer to the stream is stored, then used later when the writeToStream() method is called, and deleted by the Builder object when no longer needed, so be very careful about its lifetime and the lifetime of any objects on which it depends! This must not be null.
  compressionLevel | this can be between 0 (no compression), and 9 (maximum compression).
  storedPathName | the partial pathname that will be stored for this file
  fileModificationTime | the timestamp that will be stored as the last modification time of this entry

Definition at line 598 of file juce_ZipFile.cpp.

## ◆ addFile()

void juce::ZipFile::Builder::addFile | ( | const File & | fileToAdd,
|  | int | compressionLevel,
|  | const String & | storedPathName = `String()`
| ) |  |

Adds a file to the list of items which will be added to the archive. The file isn't read immediately: the files will be read later when the writeToStream() method is called.

The compressionLevel can be between 0 (no compression), and 9 (maximum compression). If the storedPathName parameter is specified, you can customise the partial pathname that will be stored for this file.

Definition at line 591 of file juce_ZipFile.cpp.

## ◆ writeToStream()

bool juce::ZipFile::Builder::writeToStream | ( | OutputStream & | target,
|  | double * | progress
| ) |  | const

Generates the zip file, writing it to the specified stream. If the progress parameter is non-null, it will be updated with an approximate progress status between 0 and 1.0

Definition at line 605 of file juce_ZipFile.cpp.

The documentation for this class was generated from the following files:

- juce_ZipFile.h
- juce_ZipFile.cpp